#include <iostream>

using namespace std;

int main(){
    long long x, y, krajnji = 0;
    cin >> x >> y;

    long long maksimalno;
    long long minimalno; 

    if(x>y){
    minimalno = y;
    maksimalno = x;
    }
    if(y > x){
    maksimalno = y;
    minimalno = x;
    }
    
    long long pomocnibr = 1;
    
	while(maksimalno!=0){
        int cifra1 = maksimalno%10;
        maksimalno/=10;
        if(minimalno!=0){
            int cifra2 = minimalno%10;
            minimalno/=10;
            if(cifra1 > cifra2){
                krajnji+=cifra1*pomocnibr;
            }
			else if(cifra1<cifra2){
                krajnji+=cifra2*pomocnibr;
            }
			else{
                krajnji+=cifra1*pomocnibr + cifra2*pomocnibr*10;
                pomocnibr=pomocnibr*10;
            }
        }else{
            krajnji+=cifra1*pomocnibr;
        }
    pomocnibr*=10;
    }
    cout << krajnji << endl;
}